# Config

Config

## List countries

> List all countries.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Config","description":"Config"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"CountrySchema":{"title":"CountrySchema","type":"object","required":["code","countryUid","createdAt","currency","lastModifiedAt","name","phonePrefix","languageCode"],"properties":{"code":{"type":"string"},"countryUid":{"$ref":"#/components/schemas/UID"},"createdAt":{"format":"date-time","type":"string"},"currency":{"description":"ISO-4217 representation of currency code","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"phonePrefix":{"description":"Country phone prefix in format \"+nnn\"","type":"string"},"languageCode":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"CountryListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/CountrySchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/countries":{"get":{"description":"List all countries.","operationId":"get-countries","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/CountryListResponse"}},"summary":"List countries","tags":["Config"]}}}}
```

## Get country details

> Get details for a country

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Config","description":"Config"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"CountryResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountrySchema"}}},"description":"Example response"}},"schemas":{"CountrySchema":{"title":"CountrySchema","type":"object","required":["code","countryUid","createdAt","currency","lastModifiedAt","name","phonePrefix","languageCode"],"properties":{"code":{"type":"string"},"countryUid":{"$ref":"#/components/schemas/UID"},"createdAt":{"format":"date-time","type":"string"},"currency":{"description":"ISO-4217 representation of currency code","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"phonePrefix":{"description":"Country phone prefix in format \"+nnn\"","type":"string"},"languageCode":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/countries/{countryUid}":{"get":{"description":"Get details for a country","operationId":"get-country-details","responses":{"200":{"$ref":"#/components/responses/CountryResponse"}},"summary":"Get country details","tags":["Config"]}}}}
```

## List VAT codes

> Get a list of current VAT codes.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Config","description":"Config"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"vatCountryCodeQuery":{"description":"Filter by country","in":"query","name":"vatCountryCode","schema":{"type":"string"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"VatCodeSchema":{"title":"VatCodeSchema","type":"object","required":["createdAt","fromDate","lastModifiedAt","name","rate","vatCodeUid","countryCode"],"properties":{"createdAt":{"format":"date-time","type":"string"},"fromDate":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"rate":{"type":"integer"},"vatCodeUid":{"$ref":"#/components/schemas/UID"},"countryCode":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"VatCodeListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/VatCodeSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/vat":{"get":{"description":"Get a list of current VAT codes.","operationId":"get-vat","parameters":[{"$ref":"#/components/parameters/vatCountryCodeQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/VatCodeListResponse"}},"summary":"List VAT codes","tags":["Config"]}}}}
```

## List VAT codes for a country code

> Get a list of current VAT codes for a specific country code.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Config","description":"Config"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"VatCodeSchema":{"title":"VatCodeSchema","type":"object","required":["createdAt","fromDate","lastModifiedAt","name","rate","vatCodeUid","countryCode"],"properties":{"createdAt":{"format":"date-time","type":"string"},"fromDate":{"format":"date-time","type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"rate":{"type":"integer"},"vatCodeUid":{"$ref":"#/components/schemas/UID"},"countryCode":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"VatCodeListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/VatCodeSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/countries/{countryCode}/vat":{"get":{"description":"Get a list of current VAT codes for a specific country code.","operationId":"get-vat-for-country-code","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/VatCodeListResponse"}},"summary":"List VAT codes for a country code","tags":["Config"]}}}}
```

## List locale

> List all available locale

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Config","description":"Config"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"paths":{"/metadata/locale":{"get":{"summary":"List locale","tags":["Config"],"responses":{"200":{"$ref":"#/components/responses/LocaleMetadataResponse"}},"operationId":"get-metadata-locale","description":"List all available locale"}}},"components":{"responses":{"LocaleMetadataResponse":{"description":"Locale response","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/LocaleMetadataResponseSchema"}}},"required":["items"]}}}}},"schemas":{"LocaleMetadataResponseSchema":{"title":"LocaleMetadataResponseSchema","type":"object","properties":{"locale":{"type":"string"},"name":{"type":"string"}},"required":["locale","name"]}}}}
```

## List currencies

> List all available currencies

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Config","description":"Config"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"paths":{"/metadata/currencies":{"get":{"summary":"List currencies","tags":["Config"],"responses":{"200":{"$ref":"#/components/responses/CurrencyMetadataResponse"}},"operationId":"get-metadata-currencies","description":"List all available currencies"}}},"components":{"responses":{"CurrencyMetadataResponse":{"description":"List all available currencies","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CurrencyMetadataResponseSchema"}}}}}}}},"schemas":{"CurrencyMetadataResponseSchema":{"title":"CurrencyMetadataResponseSchema","type":"object","required":["currencyCode","name","denominations"],"properties":{"currencyCode":{"type":"string","description":"ISO 4217 standard"},"name":{"type":"string"},"denominations":{"$ref":"#/components/schemas/CurrencyDenominationsMetadataSchema"}}},"CurrencyDenominationsMetadataSchema":{"title":"CurrencyDenominationsSchema","type":"object","required":["coins","notes"],"properties":{"coins":{"type":"array","items":{"type":"string"}},"notes":{"type":"array","items":{"type":"string"}}}}}}}
```

## List labels

> List available label formats. Label sizes are in mm.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Config","description":"Config"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"LabelListResponse":{"description":"Example response","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/LabelResponseSchema"}}}}}}}},"schemas":{"LabelResponseSchema":{"title":"LabelResponseSchema","type":"object","required":["key","name","size"],"properties":{"key":{"$ref":"#/components/schemas/LabelENUM"},"name":{"type":"string"},"size":{"$ref":"#/components/schemas/LabelSizeENUM"}}},"LabelENUM":{"type":"string","title":"LabelENUM","enum":["40X50_BARCODE_NAME_SKU","40X50_BARCODE_NAME_SKU_PRICE","40X27_BARCODE_NAME_SKU","40X27_BARCODE_NAME_SKU_PRICE","51X25_BARCODE_NAME_SKU","51X25_BARCODE_NAME_SKU_PRICE","36X20_BARCODE_NAME_SKU","36X20_BARCODE_NAME_SKU_PRICE"]},"LabelSizeENUM":{"type":"string","title":"LabelSizeENUM","enum":["40x50","40x27","36x20","51x25"]}}},"paths":{"/metadata/labels":{"get":{"summary":"List labels","tags":["Config"],"responses":{"200":{"$ref":"#/components/responses/LabelListResponse"}},"operationId":"get-metadata-labels","description":"List available label formats. Label sizes are in mm."}}}}
```
